Bug 1012552 - swift: select all buttons for objects and containers in horizon
swift: select all buttons for objects and containers in horizon
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: 5.0 (RHEL 7)
Assigned To: Julie Pichon
Ami Jeain
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-09-26 11:53 EDT by Dafna Ron
Modified: 2015-02-15 17:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-05-27 07:14:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1231530 None None None Never

  None (edit)
Description Dafna Ron 2013-09-26 11:53:27 EDT
Description of problem:

if I want to select all objects or containers under a project and remove them I need to do it from cli since there is no select all buttons for objects or containers 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create several containers and upload several objects under each one
2. log in to horizon and try to delete all objects under a container
3. log in to horizon and try to delete all container under a project 

Actual results:

we need to manually select each object and each container 

Expected results:

it would be helpful to add a "select all" button for both objects and containers 

Additional info:
Comment 2 Julie Pichon 2014-05-27 07:14:15 EDT
This represents a small UX improvement RFE, I think it's ok to track upstream only.

Note You need to log in before you can comment on or make changes to this bug.